<?php 
include 'conector.php';
session_start();
date_default_timezone_set('America/Bogota');
$today = date("Y-m-d H:i:s");
if(isset($_SESSION["user"])&& $_SESSION["tipo"]=='A'){


  $class1="class=\"active\"";
  $class2="";
  $act2="";
  $act1=" active ";



if(isset($_POST['val1'])&&!empty($_POST['val1'])){


if($_POST['val1']==7){


	$arreglo_res=explode(",", $_POST['arreglo1']);


	
	for($i=1;$i<sizeof($arreglo_res);$i++){
		$arreglo_ins=explode(" - ", $arreglo_res[$i]);
		$as='0';
		//if($arreglo_ins[1]==true){$as='1';}
		
		
		$update_planilla_detalle="update asistencia_det set
			asiste=".$arreglo_ins[1].",
			tipo_aus='".$arreglo_ins[2]."',
			comentario='".$arreglo_ins[3]."'
			where 	asistencia_det.id=".$arreglo_ins[0]." ";

//	echo 	$update_planilla_detalle." -- <br>";	
	mysql_query($update_planilla_detalle)or die(mysql_error());

	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Bloque de Notas Actualizado Satisfactoriamente.
			</div>";	
	}
}
if($_POST['val1']==6){

$update_planilla_detalle="update asistencia_det set
		asiste=".$_POST['view1'].",
		tipo_aus=".$_POST['tipo_aus1'].",
		comentario='".$_POST['comentario1']."'
		where 
		asistencia_det.id=".$_POST['pd_1a']." ";

//echo $update_planilla_detalle."<br>";


	mysql_query($update_planilla_detalle)or die(mysql_error());
	
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Asistencia Actualizada Satisfactoriamente.
			</div>";



}

if($_POST['val1']==5||$_POST['val1']==6||$_POST['val1']==7||$_POST['val1']==8){
//	echo $_POST['pen1']."pensum<br>";echo $_POST['per1']." periodo<br>";echo $_POST['doc1']." docente<br>";echo $_POST['sel_tipo_nota_1']." id nota<br>";echo $_POST['val1']." val1<br>";

	$tabla_asistencia="
	select 
	asistencia_det.Id,
	estudiante.nombre,
	(select nombre_archivo from upload where upload.codigo=estudiante.estudiante_id and clase='F') as foto,
	asistencia_id,
	fecha,
	estudiante,
	asiste,
	tipo_aus,
	comentario,
	fecha_insert
	from asistencia_det,estudiante
	where asistencia_id=".$_POST['sel_tipo_nota_1a']."
	and asistencia_det.estudiante=estudiante.estudiante_id
	order by estudiante.nombre
	
	";


	$rs_tabla_notas=mysql_query($tabla_asistencia);
	$select_cur_mat="select  	 
			curso.codigo,asignatura.nombre, curso.nombre
			from estudiante,pensum,curso,asignatura
			where pensum.subject_id=".$_POST['pen1']."
			and estudiante.curso_id=pensum.class_id
			and curso.curso_id=estudiante.curso_id
			and asignatura.subject_id=pensum.asignatura_id
			and pensum.estado='A'
			order by estudiante.nombre";
	$rs_select_cur_mat=mysql_query($select_cur_mat);
	$rs_scurmat=mysql_fetch_array($rs_select_cur_mat);
	$select_per_plan="select * from planilla where id=".$_POST['per1']." ";
	$rs_select_per_plan=mysql_query($select_per_plan);
	$rs_per_plan=mysql_fetch_array($rs_select_per_plan);
	
	
	
	//echo $select_per_plan."<br>"; 				
				$tabla_res="
					<table  class='table table-striped table-bordered ' width='100%'>
						<tr role='row' style='font-size:14px' >
							<th>Periodo: $rs_per_plan[1] - $rs_per_plan[2]</th>
							<th>Curso: $rs_scurmat[2] ($rs_scurmat[0])</th>
							<th>Materia: $rs_scurmat[1]</th>							
						</tr>							
					</table>
					<div class='table-responsive'>
					<table id='pnota' class='table table-striped table-bordered ' width='100%'>
					<thead>
						<tr role='row' style='font-size:12px'>
							<td>Cod</td>
							<td>Foto</td>				
							<td>Nombre</td>
							<td>Asiste</td>								
							<td>Tipo Aus.</td>				
							<td>Comentario</td>				
							<td>&nbsp;</td>								
						</tr>
					</thead>
					<tbody>";
					
					$contador=1;
					while($r_tres=mysql_fetch_array($rs_tabla_notas)){
				
					
					
					
					if(!empty($r_tres[2])&&isset($r_tres[2])){$foto_res="<div align=center><img style='
						border-radius: 50%;
						-moz-border-radius: 50%;
						-webkit-border-radius: 50%;
						-khtml-border-radius: 50%;
						border: 2px solid #cee6fb;
						 overflow: hidden;'  src='img/foto/".$r_tres[2]."' width='50px' height='50px' ></div>";}
					else{$foto_res="<div align=center><img style='
						border-radius: 50%;
						-moz-border-radius: 50%;
						-webkit-border-radius: 50%;
						-khtml-border-radius: 50%;
						border: 2px solid #cee6fb;
						 overflow: hidden;'  src='img/foto/anon.png' width='50px' height='50px' ></div>";}
					
					if($r_tres[6]=='1'){$ch=' checked ';}else{$ch='';}
					$sel0='';$sel1='';$sel2='';$sel3='';$sel4='';
					if($r_tres[7]=='1'){$sel1=' selected ';$tipo_aus='Inasistencia';}
					if($r_tres[7]=='2'){$sel2=' selected ';$tipo_aus='Perimiso';}					
					if($r_tres[7]=='3'){$sel3=' selected ';$tipo_aus='Sanción';}
					if($r_tres[7]=='4'){$sel4=' selected ';$tipo_aus='Enfermedad';}
															
																				
					$tabla_res.="<tr role='row' style='font-size:12px;'>
					<td>
						$r_tres[5]
					</td>
					<td>".$foto_res."</td>
					<td>".$r_tres[1]."</td>
					<td style='vertical-align: middle;'>
						<div align='center'>
						<input type='checkbox' $ch id='view[".$contador."]' name='view[".$contador."]' value='$r_tres[6]'>						
						</div>
						<input type='hidden' id='arreglo[".$contador."]' name='arreglo[".$contador."]' value='".$r_tres[0]."' size='10' >
										
					</td>
					<td style='vertical-align: middle;'>					
						<select id='tipo_aus[".$contador."]' >
							<option value='0'  $sel0 >...</option>						
							<option value='1'  $sel1 >Inasistencia</option>
							<option value='2'  $sel2 >Permiso</option>							
							<option value='3'  $sel3 >Sancion</option>
							<option value='4'  $sel4 >Enfermedad</option>						
						</select>
					</td>
					<td style='vertical-align: middle;'>					
						<input type='text' id='com[".$contador."]' name='com[".$contador."]' value='$r_tres[8]' width='100%'  >
					</td>

					<td style='vertical-align: middle;'>
					<a class='btn btn-success btn-xs' name='".$r_tres[0]."' id='".$r_tres[0]."' onclick='guardar_nota_materia(this.id,".$_POST['pen1'].",".$_POST['per1']."				
					,".$_POST['doc1'].",".$_POST['mat1'].",".$contador.")'>
                			<i class='glyphicon glyphicon-floppy-disk icon-white'></i>  
			                Guardar </a>
					</td></tr>";
					
					$contador++;
					}
					$tabla_res.="</tbody></table>
					</div>
					
					<div align='right'>
					<a class='btn btn-success btn-xs' name='".$r_tres[0]."' id='".$r_tres[0]."' onclick='revisar(".$_POST['pen1'].",".$_POST['per1']."				
					,".$_POST['doc1'].",".$_POST['mat1'].")'>
                			<i class='glyphicon glyphicon-floppy-disk icon-white'></i>  
			                Guardar Todo </a>
					</div>
					
					";



}
if($_POST['val1']==4){
/*echo $_POST['pen1']."pensum<br>";echo $_POST['per1']." periodo<br>";echo $_POST['doc1']." docente<br>";echo $_POST['sel_tipo_nota_1a']." id nota<br>";echo $_POST['val1']." val1<br>";*/
	$borrar_nota_planilla="delete from asistencia_det where asistencia_id=".$_POST['sel_tipo_nota_1a']." ";
	
	mysql_query($borrar_nota_planilla)or die(mysql_error());
	
	$insert_audit="insert into auditoria (proceso,cod,modulo,usuario,fecha) values ('BORRAR PLAN. ASIST.','".$_POST['sel_tipo_nota_1a']."','ADMON','".$_SESSION["user"]."','".date("Y-m-d H:i:s")."')  ";
	mysql_query($insert_audit)or die(mysql_error());

//	$update_notaid="update id_nota set estado='B' where id=".$_POST['sel_tipo_nota_1a']." ";
	$update_notaid="delete from asistencia where id=".$_POST['sel_tipo_nota_1a']." ";	
	mysql_query($update_notaid)or die(mysql_error());

	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Planilla de Asistencia Borrada Satisfactoriamente.
			</div>";
}
if($_POST['val1']==3){
     /* 	echo $_POST['pen_1a']."<br>";  	echo $_POST['per_1a']."<br>";      	echo $_POST['tipo_nota_1a']."<br>";      	echo $_POST['concepto_1a']."<br>";    */
     
     
     $select_fecha="select * from asistencia where periodo=".$_POST['per1']."
     			and pensum=".$_POST['pen1']."
     			and fecha='".$_POST['fec1']."'	    ";
     			
     	$sql_select_estudiantes="
      	select 	estudiante.estudiante_id,
      		estudiante.nombre,
      		pensum.*,
      		curso.*
		from estudiante,pensum,curso
		where
		estudiante.curso_id=curso.curso_id
		and pensum.class_id=curso.curso_id
		and pensum.subject_id=".$_POST['pen1']."
      	";
	$rs_select_estudiantes=mysql_query($sql_select_estudiantes);


     $filas_asis=0;
     
    // echo $select_fecha."--";
     
     if($rs_select_fecha=mysql_query($select_fecha)){
     	$filas_asis=mysql_num_rows($rs_select_fecha);
     	if($filas_asis>0){
     		$men="<div class=\"alert alert-danger\">
	                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
	                    Planilla ya existe para esta Fecha 	</div>";
     	}
     	if($filas_asis==0){
     	
     	$insert_planilla="insert into asistencia (periodo,pensum,fecha,obs,fecha_insert,user)
     	values (
     	".$_POST['per1'].",".$_POST['pen1'].",'".$_POST['fec1']."','','$today','$_SESSION[user]'
     	)
     	";
     	
     	
     	mysql_query($insert_planilla)or die(mysql_error());
     	
     	if(mysql_affected_rows()>0){
	$ultimo_indice=mysql_insert_id();
     	}
     	
     	while($r_sest=mysql_fetch_array($rs_select_estudiantes)){		
								$insertar_nota_consulta="insert into asistencia_det 
								(asistencia_id,fecha,estudiante,asiste,tipo_aus,comentario,fecha_insert)
								values( 
								$ultimo_indice,'".$_POST['fec1']."',".$r_sest[0].",1,'N','','$today'
								)
								";
								mysql_query($insertar_nota_consulta) or die(mysql_error());
								//echo $insertar_nota_consulta." -- query inserta<br>";
								}
     	
     	
     	$men="<div class=\"alert alert-success\">
	                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
	                    Planilla de Asistencia Creada Satisfactoriamente 	</div>";
     	}
     	
     	
     	}
     
     
     
     
     
     
     
     
}
if($_POST['val1']==2){

$select_periodo="select anno,periodo from planilla where id=".$_POST['per1']." ";
$res_select_periodo=mysql_query($select_periodo);
$res_sce=mysql_fetch_array($res_select_periodo);


if (is_null($_POST['componente1'])){$_POST['componente1']=0;}
if (is_null($_POST['componente2'])){$_POST['componente2']=0;}
if (is_null($_POST['componente3'])||!isset($_POST['componente3'])){$_POST['componente3']=0;}

$nota=round((($_POST['componente1']+$_POST['componente2']+$_POST['componente3'])/3),0);

$insertar_nota="insert into planilla_detalle (planilla,anno,periodo,codigo_pensum,codigo_est,tipo_nota,comp_1,comp_2,comp_3,concepto,nota,fecha_insert,estado)
values( 
".$_POST['per1'].",'".$res_sce[0]."',".$res_sce[1].",'".$_POST['pen1']."','".$_POST['estudiante']."','".$_POST['tipo_nota']."',".$_POST['componente1'].",".$_POST['componente2'].",".$_POST['componente3'].",
'".$_POST['concepto']."',$nota,'".date("Y-m-d H:i:s")."','A' )";



//echo $insertar_nota."<br>";
mysql_query($insertar_nota)or die(mysql_error());
$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Nota Insertada!
			</div>";			
 }
 if($_POST['val1']==1||$_POST['val1']==2||$_POST['val1']==3||$_POST['val1']==4||$_POST['val1']==5||$_POST['val1']==6||$_POST['val1']==7||$_POST['val1']==8){

 $select_curso_est="select estudiante.estudiante_id,estudiante.nombre,(select nombre_archivo from upload where upload.codigo=estudiante.estudiante_id and clase='F') as foto,
 			 curso.codigo,asignatura.sigla 
			from estudiante,pensum,curso,asignatura
			where pensum.subject_id=".$_POST['pen1']." 
			
			and estudiante.curso_id=pensum.class_id
			and curso.curso_id=estudiante.curso_id
			and asignatura.subject_id=pensum.asignatura_id
			and pensum.estado='A'
			order by estudiante.nombre";
			//and pensum.teacher_id=".$_POST['doc1']." 
 $res_select_curso_est=mysql_query($select_curso_est);
				$tabla_crea_nota="
				<div class='table-responsive' align='center' style='margin:5px auto'>
				
							
					<table class='table table-striped table-bordered ' style='width:70%;'>
					<tr style='font-size:12px'>
						<td>	
						<div align='center'>
							<b>Seleccione Fecha: </b>
						
							<select id='sel_tipo_nota' name='sel_tipo_nota'  style='width:50%; margin:1px 5px'>";
								$select_nota_nueva="select Id,periodo,pensum,fecha,obs,fecha_insert,user
								from asistencia
								 where pensum=$_POST[pen1]
								and periodo=$_POST[per1]
								order by fecha desc";
								//echo $select_nota_nueva;
								$res_select_nota_nueva=mysql_query($select_nota_nueva);
								$tabla_crea_nota.="<option value='XX' >...</option>";

								while($r_sntan=mysql_fetch_array($res_select_nota_nueva)){
									$sel1='  ';
									if($_POST['sel_tipo_nota_1a']==$r_sntan[0]){$sel1=' selected ';}
										if($r_sntan[0]=='D'){									
										$tabla_crea_nota.='<option style="font-size:9px" value="'.$r_sntan[0].'"  '.$sel1.'>'.$r_sntan[3].'</option>';
										}else{
										$tabla_crea_nota.='<option style="font-size:9px" value="'.$r_sntan[0].'"  '.$sel1.'>'.$r_sntan[3].'</option>';
										}
									
								}
								
								$tabla_crea_nota.="</select>
								
							<a class='btn btn-info btn-xs' name='editar_1' id='editar_1'  onclick='if(document.getElementById(\"sel_tipo_nota\").value!=\"XX\"){listar_nota_nueva(".$_POST['pen1'].",".$_POST['per1']."				
							,".$_POST['doc1'].",".$_POST['mat1'].",0)}else{alert(\"Debe Seleccionar una Fecha\")}' ><i class='glyphicon glyphicon-edit icon-white'></i> Editar</a>									
							
							<a class='btn btn-success btn-xs' name='crear_1' id='crear_1'  
							onclick='if(document.getElementById(\"tabla_nueva\").style.display==\"none\"){document.getElementById(\"tabla_nueva\").style.display=\"block\"}else{document.getElementById(\"tabla_nueva\").style.display=\"none\"}' 
							onblur='document.getElementById(\"tabla_nueva\").style.display=\"none\"' 
							>
							<i class='glyphicon glyphicon-trash icon-white'></i> Nueva
							</a>		
							
							
							<a class='btn btn-danger btn-xs' name='borrar_1' id='borrar_1'  onclick='if(document.getElementById(\"sel_tipo_nota\").value!=\"XX\"){borrar_nota_1(".$_POST['pen1'].",".$_POST['per1']."				
							,".$_POST['doc1'].",".$_POST['mat1'].")}else{alert(\"Debe Seleccionar una Nota\")}' ><i class='glyphicon glyphicon-trash icon-white'></i> Borrar</a>		

						</div>
						</td>
					</tr>
					</table>	
				
				
				
				
				<div id='tabla_nueva'   style='display: none'>
					<table class='table table-striped table-bordered ' style='width:50%;'>
					<tr style='font-size:12px'>
						<th>Fecha</th><th>&nbsp;</th>
					</tr>
					<tr style='font-size:12px'>
						<td>
				    		    <input type='date' id='fecha_plan_asist' name='fecha_plan_asist' class='form-control' placeholder='dd/mm/aaaa' style='width:98%;margin-bottom: 10px'>
						</td>
						<td>
							<a class='btn btn-info btn-xs' name='guardar_1' id='guardar_1'  onclick='guardar_fecha_nueva(".$_POST['pen1'].",".$_POST['per1']."				
					,document.getElementById(\"fecha_plan_asist\").value,".$_POST['doc1'].",".$_POST['mat1'].")'><i class='glyphicon glyphicon-floppy-disk icon-white'></i> Nueva Fecha</a>
						</td>
					</tr>
					</table>
					</div>
					
					
						
					
				</div>	
				";	
	
				
				
					$tbody="<tbody>";
					while($r_sce=mysql_fetch_array($res_select_curso_est)){
					if(!empty($r_sce[2])&&isset($r_sce[2])){$foto="<div align=center><img style='border-radius: 100px;
						-moz-border-radius: 100px;
						-webkit-border-radius: 100px;
						-khtml-border-radius: 100px;
						 overflow: hidden;'  src='img/foto/".$r_sce[2]."' width='65px' height='65px' ></div>";}
					else{$foto="<div align=center><img style='border-radius: 100px;
						-moz-border-radius: 100px;
						-webkit-border-radius: 100px;
						-khtml-border-radius: 100px;
						 overflow: hidden;'  src='img/foto/anon.png' width='65px' height='65px' ></div>";}
					
					
					
					$tbody.="<tr role='row' style='font-size:12px'>
					<td style='vertical-align: middle;'>".$r_sce[3]."</td>
					<td style='vertical-align: middle;'>".$r_sce[4]."</td>
					<td style='vertical-align: middle;'>".$foto."</td>
					<td style='vertical-align: middle;'>".$r_sce[1]."</td>
					<td style='vertical-align: middle;'>
						<select id='tipo_nota-".$r_sce[0]."' name='tipo_nota-".$r_sce[0]."'>
							<option value='D'>Reg.Diario</option>
							<option value='I'>Ex. Int.</option>							
							<option value='F'>Ex. Final</option>							
						</select>
					</td>
					<td style='vertical-align: middle;'>					
						<input type='text' id='comp1-".$r_sce[0]."' name='comp1-".$r_sce[0]."' value='' maxlength='3' size='1'>
					</td>
					<td style='vertical-align: middle;'>
						<input type='text' id='comp2-".$r_sce[0]."' name='comp2-".$r_sce[0]."' value='' maxlength='3' size='1'>
					</td>
					<td style='vertical-align: middle;'>					
						<input type='text' id='comp3-".$r_sce[0]."' name='comp3-".$r_sce[0]."' value='' maxlength='3' size='1'>					
					</td>
					<td style='vertical-align: middle;'>					
						<input type='text' id='concepto-".$r_sce[0]."' name='concepto-".$r_sce[0]."' value=''  size='15'>					
					</td>
					<td style='vertical-align: middle;'>
					<a class='btn btn-success btn-xs' name='".$r_sce[0]."' id='".$r_sce[0]."' onclick='guardar_nota(this.id,".$_POST['pen1'].",".$_POST['per1']."				
					)'>
                			<i class='glyphicon glyphicon-floppy-disk icon-white'></i>  
			                Guardar                                       
				            </a>
					<a class='btn btn-success btn-xs' name='".$r_sce[0]."' id='".$r_sce[0]."' onclick='perfil_academico(this.id,".$_POST['per1'].",".$_POST['pen1'].")'>
                			<i class='glyphicon glyphicon-list icon-white'></i>  
			                Consulta                                       
				            </a>
					<a class='btn btn-info btn-xs' name='".$r_sce[0]."' id='".$r_sce[0]."' onclick='edita_estudiante(this.id)'>
                			<i class='glyphicon glyphicon-edit icon-white'></i>  
			                Editar               
				            </a>
					<a class='btn btn-danger btn-xs' name='".$r_sce[0]."' id='".$r_sce[0]."' onclick='borra_estudiante(this.id,".$_POST['cur1'].")'>
                			<i class='glyphicon glyphicon-trash icon-white'></i>  
			                Borrar                                   
				            </a>

					
					</td></tr>";
					}
					$tbody.="</tbody>";
 }
}

if(isset($_POST['val2'])&&!empty($_POST['val2'])){

  $class1="";
  $class2="class=\"active\"";
  $act1="";
  $act2=" active ";
  
  
 if($_POST['val2']==1){
  
/*
  echo $_POST['cur2'];
  echo "<br>";
  echo $_POST['per2'];
  echo "<br>";
  echo $_POST['tip2'];
  echo "<br>";*/
    
	$sel_asistencia="select 
	(select CONCAT( `anno`,' - ',`periodo`) from planilla where planilla.id=asistencia.periodo),
	asistencia_det.Id,
	concat(estudiante.estudiante_id,' - ',estudiante.nombre),
	(select asignatura.nombre from asignatura,pensum   where pensum.asignatura_id=asignatura.subject_id and pensum.subject_id=asistencia.pensum),
	asistencia.pensum,
	asistencia_det.asistencia_id,
	asistencia_det.fecha,
	asistencia_det.estudiante,
	asistencia_det.asiste,
	asistencia_det.tipo_aus,
	asistencia_det.comentario,
	asistencia_det.fecha_insert
	from asistencia_det,estudiante,asistencia
	where asistencia_det.estudiante=estudiante.estudiante_id
	and asistencia.id=asistencia_det.asistencia_id
	";
if(isset($_POST['cur2'])&&!empty($_POST['cur2'])){ 	$sel_asistencia.=" and estudiante.curso_id='".$_POST['cur2']."' "; }
if(isset($_POST['per2'])&&!empty($_POST['per2'])){ 	$sel_asistencia.=" and asistencia.periodo=".$_POST['per2']." "; }
if(isset($_POST['tip2'])){ 	$sel_asistencia.=" and asistencia_det.asiste='".$_POST['tip2']."' "; }
	


	$sel_asistencia.=" order by estudiante.nombre ";

	 $res_sel_asistencia=mysql_query($sel_asistencia);
	 $num_asist=mysql_num_rows($res_sel_asistencia);
	  
	 // echo $sel_asistencia."<br>";
	 
	  
	  
	  	
			


	if($num_asist>0){
	 $tabla_planilla.="		
	 				<div class='table-responsive' align='center' style='margin:5px auto'>
					<div>
					<input type='text'  style='font-size:12px;width:30%' id='search_string' name='search_string' value='Filtro por Estudiante' onclick='this.value=\"\"'  size='20'/>
					<input type='text'  style='font-size:12px;width:30%' id='search_string2' name='search_string' value='Filtro por Asignatura' onclick='this.value=\"\"'  size='20'/>
					</div>
					<br>



						<table id='t_asistencia' class='table table-striped table-bordered ' style='width:80%;'>
						
						<thead>
						<tr role='row' style='font-size:12px'>
							<th>Periodo</th><th>Fecha</th><th>Estudiante</th><th>Asignatura</th><th>Estado</th><th>Tipo</th><th>Comentario</th><th>&nbsp;</th>
						</tr>
					</thead>";
						
					while($planillas=mysql_fetch_array($res_sel_asistencia)){	
							
					if($planillas[9]=='0'){$tipo_aus='...';}
					if($planillas[9]=='1'){$tipo_aus='Inasistencia';}					
					if($planillas[9]=='2'){$tipo_aus='Permiso';}
					if($planillas[9]=='3'){$tipo_aus='Sanci&oacute;n';}
					if($planillas[9]=='4'){$tipo_aus='Enfermedad';}

					if($planillas[8]=='0'){$est_aus='AUSENTE';}					
					if($planillas[8]=='1'){$est_aus='PRESENTE';}										
	
	 $tabla_planilla.="			<tr style='font-size:11px'>
							<td>$planillas[0]</td>
							<td>$planillas[6]</td>
							<td class='t_estudiante'>$planillas[2]</td>							
							<td class='t_asignatura'>$planillas[3]</td>
							<td>$est_aus</td>
							<td>$tipo_aus</td>
							<td>$planillas[10]</td>														
							<td></td>
						</tr>";
						
						}
						
						
	 $tabla_planilla.="			</table>
	
						</div>
	
						";
	}else{
	
	
	$men="<div class=\"alert alert-danger\">
	                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
	                    No existen Registros para esta Consulta </div>";
	
	}
  
  
  
  
  
  
  
 }
  

 

}





echo "
<!DOCTYPE html>
<html lang=\"en\">
  <head>
    <meta charset=\"utf-8\">
    <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">
    <meta name=\"description\" content=\"\">
    <meta name=\"author\" content=\"\">
    <link rel=\"shortcut icon\" href=\"assets/ico/favicon.ico\">
	<style>
	
		.btn-file {
		    position: relative;
		    overflow: hidden;
		}
		.btn-file input[type=file] {
		    position: absolute;
		    top: 0;
		    right: 0;
		    min-width: 100%;
		    min-height: 100%;
		    font-size: 999px;
		    text-align: right;
		    filter: alpha(opacity=0);
		    opacity: 0;
		    background: red;
		    cursor: inherit;
		    display: block;
		}
		input[readonly] {
			background-color: white !important;
			cursor: text !important;
		}
	
	
	.fileUpload {
	position: relative;
	overflow: hidden;
	margin: 10px;
	}
	.fileUpload input.upload {
	position: absolute;
	top: 0;
	right: 0;
	margin: 10px;
	padding: 10px;
	font-size: 12px;
	cursor: pointer;
	opacity: 0;
	filter: alpha(opacity=0);
	}
	</style>
    <title>Planilla de Asistencia</title>

    <!-- Bootstrap core CSS -->
    <link href=\"dist/css/bootstrap.min.css\" rel=\"stylesheet\">

    <!-- Custom styles for this template -->
    <link href=\"offcanvas.css\" rel=\"stylesheet\">

    <!-- Just for debugging purposes. Don't actually copy this line! -->
    <!--[if lt IE 9]><script src=\"assets/js/ie8-responsive-file-warning.js\"></script><![endif]-->

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src=\"https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js\"></script>
      <script src=\"https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js\"></script>
	<script type='text/javascript' src='/dist/js/bootstrap-filestyle.min.js'> </script>

    <![endif]-->

    <script>
function procesa_periodo(per,pen,mat,doc){
//alert ('per: '+p+'curso: '+c);

if(per==''){alert('No se ha seleccionado Periodo');return false;}else{document.getElementById('per1').value=per;}
if(pen==''){alert('No se ha seleccionado Pensum ');return false;}else{document.getElementById('pen1').value=pen;}
if(mat==''){alert('No se ha seleccionado Materia');return false;}else{document.getElementById('mat1').value=mat;}
		document.getElementById('doc1').value=doc;
		document.getElementById('sel_tipo_nota_1a').value=document.getElementById('sel_tipo_nota').value;
document.getElementById('val1').value=8;
document.forms['listar_planilla'].submit();

}    
    
function revisar(pen,per,doc,mat){
var arr = new Array();	
for (var i=1;i<document.getElementById('pnota').rows.length;i++) {

	//alert(document.getElementById('arreglo['+i+']').value);



	if(document.getElementById('view['+i+']').checked==false && document.getElementById('tipo_aus['+i+']').value=='0'){
		alert('Debe seleccionar Tipo de Ausencia');
		document.getElementById('tipo_aus['+i+']').focus();
		return false;
		}
		if(document.getElementById('view['+i+']').checked==true && document.getElementById('tipo_aus['+i+']').value!='0'){
		alert('No Debe seleccionar Ningun Tipo de Ausencia');
		document.getElementById('tipo_aus['+i+']').focus();
		return false;
		}	

	arr[i] = document.getElementById('arreglo['+i+']').value +' - '+ document.getElementById('view['+i+']').checked +' - '+ document.getElementById('tipo_aus['+i+']').value +' - '+ document.getElementById('com['+i+']').value ;

	//alert(arr[i]);
		
		//var mystr = document.getElementById('arreglo['+i+']').value;
		//var myarr = mystr.split(';');
		//var t0 = myarr[0];
		//var t1 = myarr[1];
		//var t2 = myarr[2];
		//var t3 = myarr[3];
		//var t4 = myarr[4];
		
		
	
		}
		document.getElementById('arreglo1').value=arr;	
		
		document.getElementById('per1').value=per;
		document.getElementById('pen1').value=pen;
		document.getElementById('doc1').value=doc;
		document.getElementById('mat1').value=mat;		
		document.getElementById('sel_tipo_nota_1a').value=document.getElementById('sel_tipo_nota').value;
		
		document.getElementById('val1').value=7;
		document.forms['listar_planilla'].submit();
}
function actualizar_planilla(ide){
document.getElementById('anno2').value=document.getElementById('_anno'+ide).value;
document.getElementById('per2').value=document.getElementById('_periodo'+ide).value;
document.getElementById('estado2').value=document.getElementById('_estado'+ide).value;
document.getElementById('ide2').value=ide;

document.getElementById('val2').value=2;
document.forms['crear_planilla'].submit();



}

function guardar_nota_materia(est,pen,per,doc,mat,cont){

//		alert(document.getElementById('comp3-'+est).value);

		document.getElementById('per1').value=per;
		document.getElementById('pen1').value=pen;
		document.getElementById('doc1').value=doc;
		document.getElementById('mat1').value=mat;		
		document.getElementById('asi1').value=est;	
			
		if(document.getElementById('view['+cont+']').checked==true){		
		document.getElementById('view1').value=1;
		}else{document.getElementById('view1').value=0;}	

		if(document.getElementById('view['+cont+']').checked==false && document.getElementById('tipo_aus['+cont+']').value=='0'){
		alert('Debe seleccionar Tipo de Ausencia');return false;
		}
		if(document.getElementById('view['+cont+']').checked==true && document.getElementById('tipo_aus['+cont+']').value!='0'){
		alert('No Debe seleccionar Ningun Tipo de Ausencia');return false;
		}

		document.getElementById('arreglo1').value=document.getElementById('arreglo['+cont+']').value;
		document.getElementById('tipo_aus1').value=document.getElementById('tipo_aus['+cont+']').value;
		document.getElementById('comentario1').value=document.getElementById('com['+cont+']').value;
		document.getElementById('pd_1a').value=est;		
		document.getElementById('sel_tipo_nota_1a').value=document.getElementById('sel_tipo_nota').value;
		
		
		document.getElementById('val1').value=6;
		document.forms['listar_planilla'].submit();

	





}    

function listar_nota_nueva(pen,per,doc,mat,nota){
	//alert(pen+' '+per+' '+doc+' '+nota );
//alert(mat );
//	alert('id nota '+document.getElementById('sel_tipo_nota').value);
		document.getElementById('per1').value=per;
		document.getElementById('doc1').value=doc;
		document.getElementById('pen1').value=pen;
		document.getElementById('mat1').value=mat;

		if(nota>0){
		document.getElementById('not1').value=nota;		
		document.getElementById('sel_tipo_nota_1a').value=nota;
		}
		else{
		document.getElementById('sel_tipo_nota_1a').value=document.getElementById('sel_tipo_nota').value;
		}
		document.getElementById('val1').value=5;
		document.forms['listar_planilla'].submit();

}

function borrar_nota_1(pen,per,doc,mat){
	if(confirm('Desea borrar esta Planilla?')){
		if(confirm('Se borraran los registros diligenciados, desea continuar?')){

		document.getElementById('per1').value=per;
		document.getElementById('doc1').value=doc;
		document.getElementById('pen1').value=pen;
		document.getElementById('mat1').value=mat;		

		document.getElementById('sel_tipo_nota_1a').value=document.getElementById('sel_tipo_nota').value;
		document.getElementById('val1').value=4;
		document.forms['listar_planilla'].submit();
		
		}else{
		return false;
		}
	}else{
	return false;
	}
	

}


function guardar_fecha_nueva(pen,per,fec,doc,mat){

if(fec==''){alert('Debe seleccionar Fecha');return false}
	document.getElementById('per1').value=per;
	document.getElementById('doc1').value=doc;
	document.getElementById('pen1').value=pen;
	document.getElementById('mat1').value=mat;
	document.getElementById('fec1').value=fec;	
	
	document.getElementById('val1').value=3;
	document.forms['listar_planilla'].submit();
}

function guardar_nota_nueva(pen,per,doc,mat){
	//alert(pen);
	//alert(per);
	//alert(doc);
	//alert(document.getElementById('tipo_nota_1').value);
	//alert(document.getElementById('concepto_1').value);return false;
	if(document.getElementById('tipo_nota_1').value=='XX'){alert('Debe seleccionar tipo de nota valido');return false;}

	document.getElementById('pen_1a').value=pen;
	document.getElementById('per_1a').value=per;
	document.getElementById('tipo_nota_1a').value=document.getElementById('tipo_nota_1').value;	
	if(document.getElementById('concepto_1').value==''){alert('Debe digitar Concepto');return false;}
	else{document.getElementById('concepto_1a').value=document.getElementById('concepto_1').value;	}
	
	document.getElementById('per1').value=per;
	document.getElementById('doc1').value=doc;
	document.getElementById('pen1').value=pen;
	document.getElementById('mat1').value=mat;	
	
	
	document.getElementById('val1').value=3;
	document.perfil_academicos.action='planilla_asistencia.php#perfil';
	document.forms['listar_planilla'].submit();

}    
    
function inserta_nota_consulta(ind,per,pen){

	document.getElementById('periodo4').value=per;
	document.getElementById('pensum4').value=pen;
	document.getElementById('indice4').value=ind;

	document.getElementById('tipoa_4').value=document.getElementById('tipo_notaa').value;
	document.getElementById('c1a_4').value=document.getElementById('c1a').value;
	document.getElementById('c2a_4').value=document.getElementById('c2a').value;
	document.getElementById('c3a_4').value=document.getElementById('c3a').value;
	document.getElementById('conceptoa4').value=document.getElementById('conceptoa').value;

	document.getElementById('val4').value=4;
	document.perfil_academicos.action='planilla_asistencia.php#perfil';
	document.forms['perfil_academicos'].submit();


}
function borrar_nota(pla,ind,per,pen){
	document.getElementById('planilla4').value=pla;
	document.getElementById('periodo4').value=per;
	document.getElementById('pensum4').value=pen;
	document.getElementById('indice4').value=ind;
	
	document.getElementById('val4').value=3;
	document.perfil_academicos.action='planilla_asistencia.php#perfil';
	document.forms['perfil_academicos'].submit();

}
function actualizar_nota(pla,ind,per,pen){

	document.getElementById('planilla4').value=pla;
	document.getElementById('periodo4').value=per;
	document.getElementById('pensum4').value=pen;
	document.getElementById('indice4').value=ind;
	
/*	alert(document.getElementById('c1-'+pla).value);
	alert(document.getElementById('c2-'+pla).value);
	alert(document.getElementById('c3-'+pla).value);		
	alert(document.getElementById('concepto-'+pla).value);*/
	
	document.getElementById('c1_4').value=document.getElementById('c1-'+pla).value;
	document.getElementById('c2_4').value=document.getElementById('c2-'+pla).value;
	document.getElementById('c3_4').value=document.getElementById('c3-'+pla).value;
	document.getElementById('concepto4').value=document.getElementById('concepto-'+pla).value;
	
	document.getElementById('val4').value=2;
	document.perfil_academicos.action='planilla_asistencia.php#perfil';
	document.forms['perfil_academicos'].submit();
	

}

function guardar_nota(est,pen,per){

	document.getElementById('per1').value=per;
	document.getElementById('pen1').value=pen;
	document.getElementById('tipo_nota').value=document.getElementById('tipo_nota-'+est).value;
	
	if(document.getElementById('comp1-'+est).value==''){alert('Debe diligenciar todos los componentes de la nota');return false;}
	else{document.getElementById('componente1').value=document.getElementById('comp1-'+est).value;}
	if(document.getElementById('comp2-'+est).value==''){alert('Debe diligenciar todos los componentes de la nota');return false;}
	else{document.getElementById('componente2').value=document.getElementById('comp2-'+est).value;}
	if(document.getElementById('comp3-'+est).value==''){alert('Debe diligenciar todos los componentes de la nota');return false;}
	else{document.getElementById('componente3').value=document.getElementById('comp3-'+est).value;}
	if(document.getElementById('tipo_nota').value=='D' && document.getElementById('concepto-'+est).value==''){alert('Debe diligenciar Concepto de Nota');return false;}
	else{document.getElementById('concepto').value=document.getElementById('concepto-'+est).value;}
	
	document.getElementById('estudiante').value=est;
	document.getElementById('val1').value=2;
	document.forms['listar_planilla'].submit();
}
    
function agregar(doc){

	var k,c;
	k=1;c=0;
	var mat= document.getElementById('l_materias');
	var m1 = document.createElement('option');
	mat.options.length=0;";
	$sel2='false';
	//	$sel2='';
	$TABLA_ASIG = mysql_query("SELECT * FROM pensum where estado='A' order by nombre");
		while($munic = mysql_fetch_array($TABLA_ASIG)) {
		echo   "if(doc ==$munic[3]) {";
				$municipios =mysql_query("SELECT * FROM asignatura where subject_id=$munic[4] order by  nombre");
				if(isset($municipios)){
				echo "mat.options[0] = new Option('Seleccione Materia...', 'XX', false, false);";  
					while($m12 = mysql_fetch_array($municipios)) {
				
						// if($munic[4]==$_POST['pen1']){$sel2='true';}else{$sel2='false';}
						 echo "mat.options[k] = new Option('".$m12[2]."'+' - '+'".$munic[1]."' , '".$munic[0]."-".$munic[4]."',$sel2,$sel2);  
						 k++;";
					}
				}
			echo"}";
		}
	//<body onload=agregar(document.forms[0].depto.options[document.forms[0].depto.selectedIndex].value);>
echo	"}
	
function activar_docente(){
	if(document.getElementById('l_periodo').value!='XX')
	{
	document.getElementById('l_docente').disabled=false;
	document.getElementById('l_materias').disabled=false;
	}
	else{
	document.getElementById('l_docente').value='XX'
	//document.getElementById('l_docente').disabled=true;
	document.getElementById('l_materias').value='XX'
	//document.getElementById('l_materias').disabled=true;
	}

}
function perfil_academico(ind,per,pen){


	document.getElementById('periodo4').value=per;
	document.getElementById('pensum4').value=pen;
	document.getElementById('indice4').value=ind;
	
	document.getElementById('val4').value=1;
	document.perfil_academicos.action='planilla_asistencia.php#perfil';
	document.forms['perfil_academicos'].submit();

}


function edita_estudiante(ind){
	document.getElementById('indice3').value=ind;
        
	document.getElementById('val3').value=3;
	document.editar_estudiante.action='planilla_asistencia.php#edita';
	document.forms['editar_estudiante'].submit();
}

function borra_estudiante(ind,cur){
	document.getElementById('indice2').value=ind;
       	document.getElementById('cur1').value=cur;
	document.getElementById('val1').value=2;
	document.forms['listar_planilla'].submit();
}

function consulta_planilla(p,d,m){

//alert ('per: '+p+'doc: '+d+' pen:'+m+' asig:'+a);
//alert ('per: '+p+'doc: '+d+' pen:'+m);


  var mystr = m;
  var myarr = mystr.split('-');
  var myvar0 = myarr[0];  
  var myvar1 = myarr[1];  

//alert(myvar0);
//alert(myvar1);

if(p=='XX'){alert('Debe seleccionar Un Periodo');return false;}else{document.getElementById('per1').value=p;}
if(d=='XX'){alert('Debe seleccionar Un Docente');return false;}else{document.getElementById('doc1').value=d;}
if(m=='XX'){alert('Debe seleccionar Asignatura');return false;}else{document.getElementById('pen1').value=myvar0;}
if(m=='XX'){alert('Debe seleccionar Materia');return false;}else{document.getElementById('mat1').value=myvar1;}

document.getElementById('val1').value=1;
document.forms['listar_planilla'].submit();
}

function consulta_asistencia(){

if(document.getElementById('l_curso').value=='XX'){alert('Debe seleccionar el Curso');return false;}
	else{document.getElementById('cur2').value=document.getElementById('l_curso').value}
if(document.getElementById('l_periodo2').value=='XX'){alert('Debe seleccionar el periodo');return false;}
	else{document.getElementById('per2').value=document.getElementById('l_periodo2').value}
if(document.getElementById('l_tipo2').value=='XX'){alert('Debe seleccionar tipo');return false;}
	else{document.getElementById('tip2').value=document.getElementById('l_tipo2').value}
	


	document.getElementById('val2').value=1;
	document.forms['consultar_planilla'].submit();			
}

function validarSiNumero(numero,id,cont,pos){
  if(pos!=1)
  {
	if (!/^([0-9])*$/.test(numero))
	{alert('El valor ' + numero + ' no es un numero natural');document.getElementById(''+id).value=0;return false;}
	else{
		if(numero<0 ||numero>100){
		alert('la nota debes estar entre 0 y 100');
		document.getElementById(''+id).value=0;
		return false;
		}
	}
  }
	var mystr = document.getElementById('arreglo['+cont+']').value;
	var myarr = mystr.split(';');
		var t0 = myarr[0];
		var t1 = myarr[1];
		var t2 = myarr[2];
		var t3 = myarr[3];
		var t4 = myarr[4];
		if(pos==1){t1=numero;}
		if(pos==2){t2=numero;}
		if(pos==3){t3=numero;}
		if(pos==4){t4=numero;}	

  	document.getElementById('arreglo['+cont+']').value=t0+';'+t1+';'+t2+';'+t3+';'+t4;
}
function validarEmail( email ) {
    expr = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    if ( !expr.test(email) && email!='no tiene')
        alert('Error: La direccion de correo - ' + email + ' - es incorrecta.');
}
 
function mostrar_l(a,b,c,d,e,t){
//alert('est->'+a+' pen->'+b+' per->'+c+' doc->'+d+' mat->'+e+' not->'+t);

document.getElementById('val3').value=2;

document.getElementById('estudiante3').value=a;
document.getElementById('pensum3').value=b;
document.getElementById('periodo3').value=c;
document.getElementById('docente3').value=d;
document.getElementById('asignatura3').value=e;
document.getElementById('nota3').value=t;

document.editar_estudiante.action='planilla_asistencia.php#edita';
document.forms['editar_estudiante'].submit();
}

function mostrar_o(a,b,c,d,e,t){
//alert('est->'+a);alert('pen->'+b);alert('per->'+c);alert('doc->'+d);alert('mat->'+e);
document.getElementById('val4').value=1;

document.getElementById('estudiante4').value=a;
document.getElementById('pensum4').value=b;
document.getElementById('periodo4').value=c;
document.getElementById('docente4').value=d;
document.getElementById('asignatura4').value=e;
document.getElementById('nota4').value=t;

document.editar_estudiante.action='planilla_asistencia.php#perfil';
document.forms['perfil_academicos'].submit();
}


function inserta_rec(est,pen,per,doc,asi,not){
document.getElementById('estudiante3').value=est;
document.getElementById('pensum3').value=pen;
document.getElementById('periodo3').value=per;
document.getElementById('docente3').value=doc;
document.getElementById('asignatura3').value=asi;
document.getElementById('nota3').value=not;
//if(document.getElementById('l_logro').value=='XX'){alert('Debe Seleciconar Logro');return false;}
document.getElementById('logro3').value=document.getElementById('l_logro').value;
if(document.getElementById('rec').value==''){alert('Debe Digitar Recomendacion');return false;}
document.getElementById('rec3').value=document.getElementById('rec').value;
document.getElementById('val3').value=5;
document.forms['editar_estudiante'].submit();
}


function inserta_logro(est,pen,per,doc,asi,not){
document.getElementById('estudiante3').value=est;
document.getElementById('pensum3').value=pen;
document.getElementById('periodo3').value=per;
document.getElementById('docente3').value=doc;
document.getElementById('asignatura3').value=asi;
document.getElementById('nota3').value=not;
if(document.getElementById('l_logro').value=='XX'){alert('Debe Seleciconar Logro');return false;}
document.getElementById('logro3').value=document.getElementById('l_logro').value;
document.getElementById('val3').value=3;
document.forms['editar_estudiante'].submit();
}


function inserta_logro_t(est,pen,per,doc,asi,not){

var arr3 = new Array();	
var opts=document.getElementById('l_logro');
var opt=0; 
for(opt=1; opt<(opts.length); opt++) { 
//alert('opcion' + opt + ' = ' + opts[opt].value);
	arr3[opt]=opts[opt].value;
}
document.getElementById('arreglo3').value=arr3;	
document.getElementById('estudiante3').value=est;
document.getElementById('pensum3').value=pen;
document.getElementById('periodo3').value=per;
document.getElementById('docente3').value=doc;
document.getElementById('asignatura3').value=asi;
document.getElementById('nota3').value=not;
document.getElementById('logro3').value='all';
document.getElementById('val3').value=3;
document.forms['editar_estudiante'].submit();
}
function borra_logro(id,est,pen,per,doc,asi,not){

document.getElementById('estudiante3').value=est;
document.getElementById('pensum3').value=pen;
document.getElementById('periodo3').value=per;
document.getElementById('docente3').value=doc;
document.getElementById('asignatura3').value=asi;
document.getElementById('nota3').value=not;

document.getElementById('logro3').value=id;

document.getElementById('val3').value=4;
document.forms['editar_estudiante'].submit();
    
}

function inserta_obs_doc(a,b,c,d,e,t){
//alert('est->'+a+'pen->'+b+'per->'+c+'doc->'+d+' mat->'+e+' not->'+t);
document.getElementById('val4').value=2;

if(document.getElementById('fecha_obs_doc').value==''){alert('Debe Seleccionar Fecha del Incidente');return false;}
	else{document.getElementById('fecha_obs_doc4').value=document.getElementById('fecha_obs_doc').value;}
if(document.getElementById('valor1').value==''){alert('Debe Digitar Valor 1');return false;}
	else{document.getElementById('valor14').value=document.getElementById('valor1').value;}
if(document.getElementById('valor2').value==''){alert('Debe Digitar Valor 2');return false;}
	else{document.getElementById('valor24').value=document.getElementById('valor2').value;}

document.getElementById('estudiante4').value=a;
document.getElementById('pensum4').value=b;
document.getElementById('periodo4').value=c;
document.getElementById('docente4').value=d;
document.getElementById('asignatura4').value=e;
document.getElementById('nota4').value=t;
document.forms['perfil_academicos'].submit();
}
</script>
  
    
    
    
  </head>

  <body>
    <div class=\"navbar navbar-fixed-top navbar-inverse\" role=\"navigation\">
      <div class=\"container\">
 
           <a class=\"\" href=\"general.php\"><img src='img/logo1.png' style='margin-top:5px'></a>
 
        
        <a href=\"index.php\"><img src='img/salir.png' style='float:right;margin-top:15px'>
       </a><span style='float:right;margin-right:10px; margin-top:15px' class='label label-success'><span class='glyphicon glyphicon-user'></span> ".$_SESSION["user"]."</span>
        
      </div><!-- /.container -->
    </div><!-- /.navbar -->


    <div class=\"container\">

      <div class=\"row row-offcanvas row-offcanvas-left\">

       <div class=\"col-xs-6 col-sm-3 sidebar-offcanvas\" id=\"sidebar\" role=\"navigation\">
          <div class=\"list-group\">
            <a href=\"general.php\" class=\"list-group-item \" data-rel='popover' data-content='Dashboard' data-original-title><span class=\"glyphicon glyphicon-home\"></span> General</a>
            <a href=\"estudiantes.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-th\"></span> Estudiantes</a>
            <a href=\"docentes.php\" class=\"list-group-item\"><span class=\"glyphicon glyphicon-user\"></span> Docentes</a>
            <a href=\"acudiente.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-user\"></span> Acudiente</a>            
            <a href=\"asignaturas.php\" class=\"list-group-item\"><span class=\"glyphicon glyphicon-book\"></span> Asignaturas</a>
            <a href=\"cursos.php\" class=\"list-group-item\"><span class=\"glyphicon glyphicon-list\"></span> Cursos</a>
            <a href=\"pensum.php\" class=\"list-group-item\"><span class=\"glyphicon glyphicon-edit\"></span> Pensum</a>            
            <a href=\"logros.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-edit\"></span> Logros</a>            
            <a href=\"observaciones.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-edit\"></span> Indicadores de Comportamiento</a>            
            <a href=\"horario.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-edit\"></span> Horario</a>
<a href=\"horario_atencion.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-edit\"></span> Horario de Atenci&oacute;n</a>            
<a href=\"planilla_asistencia.php\" class=\"list-group-item active\"><span class=\"glyphicon glyphicon-file\"></span> Control de Asistencia</a>            
<a href=\"planilla.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-file\"></span> Registro de Calificaciones</a>            
            <a href=\"planilla_obs.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-file\"></span> Observador del Estudiante</a>                        
            <a href=\"pagos.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-list\"></span> Pagos</a>           
            <a href=\"reportes.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-file\"></span> Boletines</a><a href=\"eventos.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-edit\"></span> Anuncios</a>                  
            <a href=\"config.php\" class=\"list-group-item\"><span class=\"glyphicon glyphicon-wrench\"></span> Configuraci&oacute;n</a>
          </div>
        </div><!--/span-->
		

        <div class=\"col-xs-12 col-sm-9\">
          <p class=\"pull-left visible-xs\">
            <button type=\"button\" class=\"btn btn-primary btn-xs\" data-toggle=\"offcanvas\">menu</button>
          </p>
    
	<div class=\"panel panel-default\">
	<br>";
echo $men;
echo	      "<!-- Nav tabs -->
	<ul class=\"nav nav-tabs\">
		<li >&nbsp;</li>";
		$onc='';		
		
		if(isset($_POST['estudiante4'])&&isset($_POST['pensum4'])&&isset($_POST['periodo4'])&&isset($_POST['docente4'])&&isset($_POST['asignatura4'])&&isset($_POST['nota4']))
		{$onc="listar_nota_nueva(".$_POST['pensum4'].",".$_POST['periodo4'].",".$_POST['docente4'].",".$_POST['asignatura4'].",".$_POST['nota4'].")";
		}
		if(isset($_POST['estudiante3'])&&isset($_POST['pensum3'])&&isset($_POST['periodo3'])&&isset($_POST['docente3'])&&isset($_POST['asignatura3'])&&isset($_POST['nota3']))
		{$onc="listar_nota_nueva(".$_POST['pensum3'].",".$_POST['periodo3'].",".$_POST['docente3'].",".$_POST['asignatura3'].",".$_POST['nota3'].")";
		}
		if(isset($_POST['pen1'])&&isset($_POST['per1'])&&isset($_POST['doc1'])&&isset($_POST['mat1'])&&isset($_POST['not1'])){
		$onc="listar_nota_nueva(".$_POST['pen1'].",".$_POST['per1'].",".$_POST['doc1'].",".$_POST['mat1'].",".$_POST['not1'].")";
		}
		
		
echo	  "<li $class1 ><a href=\"#home\"  data-toggle=\"tab\" onclick='".$onc."' >Planilla de Asistencia</a></li>
	  <li $class2 ><a href=\"#profile\" data-toggle=\"tab\">Consulta Asistencia</a></li>

	</ul>
	
	
	<!-- Tab panes -->

	<div class=\"tab-content\">
	
		
	
	
	
	
	
	
	
	


	<div class=\"tab-pane fade in $act2 \" id=\"profile\">
		<form name='consultar_planilla' id='consultar_planilla' method='post' action='planilla_asistencia.php#profile' target='' >
		<input type='hidden' name='val2' id='val2' value='".$val2."'>	
		<input type='hidden' name='per2' id='per2' value='".$per2."'>
		<input type='hidden' name='cur2' id='cur2' value='".$cur2."'>		
		<input type='hidden' name='tip2' id='tip2' value='".$tip2."'>		
		<input type='hidden' name='estado2' id='estado2' value='".$estado2."'>
		<input type='hidden' name='ide2' id='ide2' value='".$ide2."'>		
	
		<div class=\"page\">
			<fieldset>
				<legend>
					<br><span class=\"glyphicon glyphicon-plus\"></span> 
					Consulta
				</legend>			
			</fieldset>
		
		
		 <div class='input' style='float:left;width: 140px;padding-top: 5px;text-align: right;' >
			Curso &nbsp;
		  </div>
		 <div class='input' >
		 <select  name='l_curso' id='l_curso'  onchange='agregar2(this.options[this.selectedIndex].value);'  class='form-control' style='width:36%;margin-bottom: 10px'>";

				$sql_doc="select curso_id,codigo,nombre,estado  from curso where estado='A' order by orden";
				$result_sql_doc=mysql_query($sql_doc);
				echo '<option class="" value="XX" >Seleccione Curso</option>';
				while($r=mysql_fetch_array($result_sql_doc)){
				if( $r[1]==$d){$sel_doc=" selected ";}else{$sel_doc='';} 
				if($_POST['cur2']==$r[0]){$sel_doc=' selected ';}
						echo '<option value="'.$r[0].'"  '.$sel_doc.'>'.$r[1].' - '.$r[2].'</option>';
				}

		echo	"</select>
		 

		 </div>
		
		 <div class='input' style='float:left;width: 140px;padding-top: 5px;text-align: right;' >
			Periodo &nbsp;
		  </div>
		 <div class='input' >";
 					$select_planilla="select *  from planilla where estado in ('A','C') order by anno desc,periodo ";
					$res_select_planilla=mysql_query($select_planilla);

		 echo "
			<select id='l_periodo2' name='l_periodo2' class='form-control' style='width:36%;margin-bottom: 10px' >
					<option value='' >...</option>";
					while($r_sc=mysql_fetch_array($res_select_planilla)){
					$sel1='  ';
					if($_POST['per2']==$r_sc[0]){$sel1=' selected ';}
					//echo "hola";
					echo '<option style="font-size:9px" value="'.$r_sc[0].'"  '.$sel1.'  >P'.$r_sc[2].' - '.$r_sc[1].' </option>';
					}
		echo "</select>
		 
		 </div>
		 <div class='input' style='float:left;width: 140px;padding-top: 5px;text-align: right;' >
			Tipo &nbsp;
		  </div>
		 <div class='input' >
			<select id='l_tipo2' name='l_tipo2' class='form-control' style='width:36%;margin-bottom: 10px' >
					<option value='XX' >Seleccione Tipo</option>
					<option value='1' >Asistencia</option>
					<option value='0' >Ausencia</option>					
			</select>
		 
		 </div>
		 <div class='input' style='float:left;width: 140px;padding-top: 5px;text-align: right;' >
			&nbsp;
		  </div>
		 <div class='input' >
			<button type='button' class='btn btn-info btn-xs' onclick='consulta_asistencia()'> Consultar</button>
		 </div>
		<br>
		<fieldset>";
echo 		$tabla_planilla;
echo		"</fieldset>


		</div>
	</form>
</div>

<div class=\"tab-pane fade in $act1 \" id=\"home\">
	<form name='listar_planilla' id='listar_planilla' method='post' action='planilla_asistencia.php' target=''>
	<div class=\"page\">
	

	<input type='hidden' name='val1' id='val1' value='".$val1."'>	
	<input type='hidden' name='cur1' id='cur1' value='".$cur1."'>	
	<input type='hidden' name='indice2' id='indice2' value='".$indice2."'>	
	
	<input type='hidden' name='per1' id='per1' value='".$per1."'>	
	<input type='hidden' name='doc1' id='doc1' value='".$doc1."'>	
	<input type='hidden' name='pen1' id='pen1' value='".$pen1."'>		
	<input type='hidden' name='fec1' id='fec1' value='".$fec1."'>	
	<input type='hidden' name='asi1' id='asi1' value='".$asi1."'>		
	<input type='hidden' name='view1' id='view1' value='".$view1."'>			
	<input type='hidden' name='arreglo1' id='arreglo1' value='".$arreglo1."'>			
	<input type='hidden' name='tipo_aus1' id='tipo_aus1' value='".$tipo_aus1."'>			
	<input type='hidden' name='comentario1' id='comentario1' value='".$comentario1."'>						
	
	
	
	<input type='hidden' name='mat1' id='mat1' value='".$mat1."'>			
	<input type='hidden' name='not1' id='not1' value='".$not1."'>				
	
	<input type='hidden' name='tipo_nota' id='tipo_nota' value='".$tipo_nota."'>	
	<input type='hidden' name='componente1' id='componente1' value='".$componente1."'>	
	<input type='hidden' name='componente2' id='componente2' value='".$componente2."'>		
	<input type='hidden' name='componente3' id='componente3' value='".$componente3."'>	
	<input type='hidden' name='concepto' id='concepto' value='".$concepto."'>
	<input type='hidden' name='estudiante' id='estudiante' value='".$estudiante."'>		
	
	<input type='hidden' name='pen_1a' id='pen_1a' value='".$pen_1a."'>
	<input type='hidden' name='per_1a' id='per_1a' value='".$per_1a."'>
	<input type='hidden' name='tipo_nota_1a' id='tipo_nota_1a' value='".$tipo_nota_1a."'>
	<input type='hidden' name='concepto_1a' id='concepto_1a' value='".$concepto_1a."'>	
	
	<input type='hidden' name='sel_tipo_nota_1a' id='sel_tipo_nota_1a' value='".$sel_tipo_nota_1a."'>

	<input type='hidden' name='pd_1a' id='pd_1a' value='".$pd_1a."'>		

	
			
		<fieldset>
			<legend><span class=\"glyphicon glyphicon-th-list\"></span> 
				Asistencia
";
				
		
					$select_planilla="select *  from planilla where estado='A' order by anno desc,periodo ";
					$res_select_planilla=mysql_query($select_planilla);
					
					$select_docente="select teacher_id,nombre  from docente where estado='A' order by nombre ";
					$res_select_docente=mysql_query($select_docente);
					
					
					echo "
					<select id='l_periodo' name='l_periodo' style='margin:20px;font-size: 12px;' onchange='activar_docente()' onclick='activar_docente()'>
					<option value='XX' >Seleccione Periodo</option>";
					while($r_sc=mysql_fetch_array($res_select_planilla)){
					$sel1='  ';
					if($_POST['per1']==$r_sc[0]){$sel1=' selected ';}
					//echo "hola";
					echo '<option style="font-size:9px" value="'.$r_sc[0].'"  '.$sel1.'  >P'.$r_sc[2].' - '.$r_sc[1].' </option>';
					}
					
ECHO				'</select>

			<select style="margin:20px;font-size: 12px;" name="l_docente" id="l_docente"  onchange="agregar(this.options[this.selectedIndex].value);"  >';

				$sql_doc="select teacher_id,nombre  from docente where estado='A' order by nombre";
				$result_sql_doc=mysql_query($sql_doc);
				echo '<option class="" value="XX" >Seleccione Docente</option>';
				while($r=mysql_fetch_array($result_sql_doc)){
				if( $r[1]==$d){$sel_doc=" selected ";}else{$sel_doc='';} 
				if($_POST['doc1']==$r[0]){$sel_doc=' selected ';}
						echo '<option value="'.$r[0].'"  '.$sel_doc.'>'.$r[1].'</option>';
				}
				
				
echo	"</select>
<select style=\"margin:20px;font-size: 12px;\" name=\"l_materias\" id=\"l_materias\"   >";

//if($sel2=='false'){
				//$m2 =mysql_query("SELECT codigo,nombre FROM asignatura ");
				$m2 =mysql_query("SELECT asignatura.subject_id,asignatura.nombre,pensum.subject_id,pensum.nombre FROM asignatura,pensum
							where pensum.asignatura_id=asignatura.subject_id
							and pensum.teacher_id=".$_POST['doc1']." 

							");//and pensum.subject_id=".$_POST['pen1']." 
				if(isset($m2)){
				
				while($m3=mysql_fetch_array($m2)) {
				$sel_mat='';
						if($_POST['pen1']===$m3[2]){$sel_mat=' selected ';}
						//if($_POST['mat1']===$m3[0]){$sel_mat=' selected ';}
						echo '<option value="'.$m3[2].'-'.$m3[0].'" '.$sel_mat.' >'.$m3[1].'-'.$m3[3].'</option>';
					}
			
				}
//}			
		
echo			"</select>
			<button type='button' class='btn btn-info btn-sm' onclick='consulta_planilla(document.getElementById(\"l_periodo\").value,
						document.getElementById(\"l_docente\").value,document.getElementById(\"l_materias\").value)'><i class='glyphicon glyphicon-zoom-in'></i> Buscar </button>      
			</legend>			
		</fieldset>
	</div>
	
	<fieldset>
";
	
echo $tabla_crea_nota;	
echo $tabla_res;	

		
//echo $tbody;
echo	"</table>

	</fieldset>
	
	
	
	</form>

</div>
 
         
        </div><!--/span-->

       
      </div><!--/row-->


</div><!--/row--></div><!--/row--><hr><footer><p>Todos los derechos reservados - Copyright &copy; 2022</p></footer>

    </div><!--/.container-->

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src=\"https://code.jquery.com/jquery-1.10.2.min.js\"></script>
    <script src=\"dist/js/bootstrap.min.js\"></script>
    <script src=\"offcanvas.js\"></script>
    <script src='js/tablesort.min.js'></script>
    <script>
      new Tablesort(document.getElementById('pnota'));
    </script>
    <script>
      new Tablesort(document.getElementById('t_asistencia'));
    </script>
    <script>
      // Con estas 3 l?neas sobreescribimos el Constains para que no sea case sensitive pues por default en jquery  viene con case sensitive. Si no lo pones, queda como Case sensitive
    $.expr[':'].Contains = function(x, y, z){
        return jQuery(x).text().toLowerCase().indexOf(z[3].toLowerCase())>=0;
       
    };

    // cada que escribamos, vamos a revisar lo que hay escrito 
    $('#search_string').keyup(function() 
    {
        //tomamos el valor que tiene el input
        var search = $('#search_string').val();
        //mostramos todos los valores, para despues ir ocultando los que no coinciden
        $('#t_asistencia tr').show();
        
        //esto es para revisar si tenemos algo que buscar, sino, que no lo haga.
        if(search.length>0)
        {
        // con la clase .nombre le decimos en cual de las celdas buscar y si no coincide, ocultamos el tr que contiene a esa celda. 
        $('#t_asistencia tr td.t_estudiante').not(':Contains('+search+')').parent().hide();
        }

	});
	
	// cada que escribamos, vamos a revisar lo que hay escrito 
    $('#search_string2').keyup(function() 
    {
        //tomamos el valor que tiene el input
        var search = $('#search_string2').val();
        //mostramos todos los valores, para despues ir ocultando los que no coinciden
        $('#t_asistencia tr').show();
        
        //esto es para revisar si tenemos algo que buscar, sino, que no lo haga.
        if(search.length>0)
        {
        // con la clase .nombre le decimos en cual de las celdas buscar y si no coincide, ocultamos el tr que contiene a esa celda. 
        $('#t_asistencia tr td.t_asignatura').not(':Contains('+search+')').parent().hide();
        }

	});
	
	
    </script>
  </body>
</html>
";
}else{
echo "<div align='center'>Debe registrase para usar la aplicaci&oacute;n <a href='index.php' > Registrar</a></div>";
}
 ?>